Get an RBS volume

GET/v1/remote_block_storage/volumes/{volume_id}

To get details of a specific RBS volume, use a GET request to /v1/remote_block_storage/volumes/{volume_id}. Select a volume by specifying its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
volume_id
string

A unique identifier of an RBS volume. Use this request to list all volume IDs.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/remote_block_storage/volumes/YRdG7dDz"
{  "id": "YRdG7dDz",  "name": "name2070",  "size": 100,  "status": "active",  "location_id": 2004,  "location_code": "AMS2004",  "flavor_id": 3082,  "flavor_name": "RBS Flavor name2068",  "iops": 53079,  "bandwidth": 15010,  "labels": {},  "ip_address": null,  "target_iqn": null,  "operational_status": "published",  "created_at": "2025-12-31T00:00:00.000Z",  "updated_at": "2025-12-31T00:00:00.000Z"}